HELM(1)

NAME

helm-fetch - download a chart from a repository and (optionally) unpack it in local directory

SYNOPSIS

helm fetch [flags] [chart URL | repo/chartname] [...]

DESCRIPTION

Retrieve a package from a package repository, and download it locally.

This is useful for fetching packages to inspect, modify, or repackage. It can also be used to perform cryptographic verification of a chart without installing the chart.

There are options for unpacking the chart after download. This will create a directory for the chart and uncomparess into that directory.

If the --verify flag is specified, the requested chart MUST have a provenance file, and MUST pass the verification process. Failure in any part of this will result in an error, and the chart will not be saved locally.

OPTIONS

--ca-file=""
    verify certificates of HTTPS-enabled servers using this CA bundle

--cert-file=""
    identify HTTPS client using this SSL certificate file

-d, --destination="."
    location to write the chart. If this and tardir are specified, tardir is appended to this

--devel[=false]
    use development versions, too. Equivalent to version '>0.0.0-a'. If --version is set, this is ignored.

--key-file=""
    identify HTTPS client using this SSL key file

--keyring="~/.gnupg/pubring.gpg"
    keyring containing public keys

--prov[=false]
    fetch the provenance file, but don't perform verification

--repo=""
    chart repository url where to locate the requested chart

--untar[=false]
    if set to true, will untar the chart after downloading it

--untardir="."
    if untar is specified, this flag specifies the name of the directory into which the chart is expanded

--verify[=false]
    verify the package against its signature

--version=""
    specific version of a chart. Without this, the latest version is fetched

OPTIONS INHERITED FROM PARENT COMMANDS

--debug[=false]
    enable verbose output

--home="~/.helm"
    location of your Helm config. Overrides $HELM_HOME

--host="localhost:44134"
    address of tiller. Overrides $HELM_HOST

--kube-context=""
    name of the kubeconfig context to use

--tiller-namespace="kube-system"
    namespace of tiller

SEE ALSO

helm(1)

HISTORY

19-May-2017 Auto generated by spf13/cobra